PFE 0.33.71

Homepage
SourceForge
Download
Documentation
-Overview
-The PFE Manual
old manual / (book)
-ChangeLog
-Authors
-License (LGPL)
-Wordsets / (book)
-Functions .. (book)
-Dp of ANS Forth
-The 4thTutor
-Forthprimer.pdf
- Old Wordsets
- Old Words List
Forth Links
* Forth Repository
* Taygeta Compilation
* TinyBoot FirmWare
* FiCL, Free Forth
* Research Vienna
* Research Bournemouth
* zForth WebRing
Other Links
* Tektronix/MPT
* Forth Org. (FIG)
* Forth Inc.
* MPE Ltd. Forths
* SF Win32Forth
* PD Win32Forth
* Neil Bawd

generated
(C) Guido U. Draheim
guidod@gmx.de

## smart-go

> interpreter

`SMART-INTERPRET-INIT``( -- )``` => `"EXTENSIONS"`

  creates a set of interpret-words that are used in the inner interpreter, so if a word is unknown to the interpreter-loop it will use the first char of that word, attach it to an "interpret-" prefix, and tries to use that `IMMEDIATE`-=>'DEFER'-word on the rest of the word. This `SMART-INTERPRET-INIT` will set up words like interpret-" so you can write `"hello"` instead of `" hello"` and it creates interpret-\ so that words like `\if-unix` are ignoring the line if the word `\if-unknown` is unknown in itself. This is usually not activated on startup.

  primitive code = [p4_smart_interpret_init]

`SMART-INTERPRET!``( -- )``` => `"EXTENSIONS"`

  enables/disables the SMART-INTERPRET extension in `INTERPRET` , (actually stores an XT in `DEFER` inside the mainloop interpreter)

  primitive code = [p4_smart_interpret_store]